This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 18471 - [Exec/Compile] Assign a compiler to a directory
Summary: [Exec/Compile] Assign a compiler to a directory
Status: RESOLVED WONTFIX
Alias: None
Product: java
Classification: Unclassified
Component: Project (show other bugs)
Version: 3.x
Hardware: PC Windows 3.1/NT
: P3 blocker (vote)
Assignee: Jesse Glick
URL:
Keywords:
Depends on: 17826
Blocks:
  Show dependency tree
 
Reported: 2001-12-07 18:20 UTC by thereisnospoon
Modified: 2004-11-22 18:33 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description thereisnospoon 2001-12-07 18:20:22 UTC
My project is about 80% Sun Java, put we have some packages that require MS Java.
It would be nice if I could assign a default compiler to those packages instead
of setting each file one at a time.
Comment 1 Svata Dedic 2001-12-07 18:56:41 UTC
BTW you can select all files in a package (left-click on the first 
one, shift-left click on the last) and change the Compiler property 
for all of them at once.
Comment 2 Marek Grummich 2002-07-22 10:09:48 UTC
Set target milestone to TBD
Comment 3 Jan Becicka 2002-08-06 11:10:47 UTC
New projects infrastructure could solve it, 
isn't?
Comment 4 Svata Dedic 2002-12-04 08:42:32 UTC
UI rejected the request to assign a compiler to a directory. Although
the infrastructure is capable to handle it it will not be available
for use in 4.0.
Comment 5 Jesse Glick 2004-11-22 18:33:56 UTC
Do not plan to support from GUI, though in 4.0 it is possible to
configure your Ant script to do this.